javascript - Restangular - _.contains() 不是函数

原文 标签 javascript angularjs lodash restangular

如果您最近通过 bower 更新了 restangular,它将安装最新的 lodash - 新的 4.0.0.0。然而,这是一个问题,因为 resangular/angular 现在会抛出错误 - “_.contains() 不是函数。”

你怎么解决?

最佳答案

解决方案非常简单 - 您需要告诉 restangular 使用比最新的 lodash 更低的版本 - 3.10.0

通过 bower.json

 "lodash": "~3.10.0"

https://github.com/mgonto/restangular/issues/1298

关于javascript - Restangular - _.contains() 不是函数,我们在Stack Overflow上找到一个类似的问题: https://stackoverflow.com/questions/34922682/

相关文章:

javascript - 更新嵌套数组中的多个对象

Javascript - 变量提升

javascript - angularjs通过对象属性过滤下拉菜单选项

javascript - Spring 休息服务中的Angular File Saver

javascript - Lodash无限深度搜索

javascript - 如果嵌套数组包含空值或只是一个空值,如何将它转换为字符串?

javascript - 相互堆叠两个div,但面对跨浏览器的onclick/背景图片行为问题

javascript - 检查Javascript数组中是否存在标签

javascript - 如何通过传单查询天桥面积?

javascript合并对象数组,生成数组中的对象值